Subject: Re: linux-next: build warning after merge of the scsi tree

From: Randy Dunlap <[email-masked]>
Date: Thu, 23 Jun 2011 10:02:39 -0700

On Thu, 19 May 2011 18:22:59 +0200 Geert Uytterhoeven wrote:

> On Wed, May 18, 2011 at 05:58, Stephen Rothwell <[email-masked]> wrote:
> >> --- a/drivers/target/tcm_fc/tfc_io.c
> >> +++ b/drivers/target/tcm_fc/tfc_io.c
> >> @@ -206,7 +206,8 @@ int ft_queue_data_in(struct se_cmd *se_cmd)
> >>                                                 "xid <0x%x>, remaining <0x%x>, "
> >>                                                 "lso_max <0x%x>\n",
> >>                                                 __func__, fp, ep->xid,
> >> -                                               remaining, lport->lso_max);
> >> +                                               (unsigned int)remaining,
> >> +                                               lport->lso_max);
> >
> > Given that "remaining" really is a length, surely it makes more sense to
> 
> Exactly my comments ...
> 
> > print it with %zd than to cast it and print it with %x ...
> 
> ... except that size_t is unsigned, so %zu would be a little bit better.

This still needs to be fixed in linux-next (20110623).

---
~Randy
*** Remember to use Documentation/SubmitChecklist when testing your code ***